Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyle.SubElement

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyle.SubElement

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyle

    public static final class QStyle.SubElement

extends java.lang.Enum
implements QtEnumerator

This enum represents a sub-area of a widget. Style implementations use these areas to draw the different parts of a widget.

See also:
  `subElementRect()`.

See Also:
  Serialized Form

Field Summary
`static QStyle.SubElement` | `CustomEnum`
`static QStyle.SubElement` | `SE_CheckBoxClickRect` Clickable area, defaults to `SE_CheckBoxFocusRect` .
`static QStyle.SubElement` | `SE_CheckBoxContents` Area for the label (text or pixmap).
`static QStyle.SubElement` | `SE_CheckBoxFocusRect` Area for the focus indicator.
`static QStyle.SubElement` | `SE_CheckBoxIndicator` Area for the state indicator (e.g., check mark).
`static QStyle.SubElement` | `SE_CheckBoxLayoutItem` Area that counts for the parent layout.
`static QStyle.SubElement` | `SE_ComboBoxFocusRect` Area for the focus indicator.
`static QStyle.SubElement` | `SE_ComboBoxLayoutItem` Area that counts for the parent layout.
`static QStyle.SubElement` | `SE_CustomBase` Base value for custom sub-elements.
`static QStyle.SubElement` | `SE_DateTimeEditLayoutItem` Area that counts for the parent layout.
`static QStyle.SubElement` | `SE_DialogButtonAbort`
`static QStyle.SubElement` | `SE_DialogButtonAccept`
`static QStyle.SubElement` | `SE_DialogButtonAll`
`static QStyle.SubElement` | `SE_DialogButtonApply`
`static QStyle.SubElement` | `SE_DialogButtonBoxLayoutItem` Area that counts for the parent layout.
`static QStyle.SubElement` | `SE_DialogButtonCustom`
`static QStyle.SubElement` | `SE_DialogButtonHelp`
`static QStyle.SubElement` | `SE_DialogButtonIgnore`
`static QStyle.SubElement` | `SE_DialogButtonReject`
`static QStyle.SubElement` | `SE_DialogButtonRetry`
`static QStyle.SubElement` | `SE_DockWidgetCloseButton` The close button of a dock widget.
`static QStyle.SubElement` | `SE_DockWidgetFloatButton` The float button of a dock widget.
`static QStyle.SubElement` | `SE_DockWidgetIcon` The icon of a dock widget.
`static QStyle.SubElement` | `SE_DockWidgetTitleBarText` The text bounds of the dock widgets title.
`static QStyle.SubElement` | `SE_FrameContents` Area for a frame's contents.
`static QStyle.SubElement` | `SE_FrameLayoutItem` Area that counts for the parent layout.
`static QStyle.SubElement` | `SE_GroupBoxLayoutItem` Area that counts for the parent layout.
`static QStyle.SubElement` | `SE_HeaderArrow` Area for the sort indicator for a header.
`static QStyle.SubElement` | `SE_HeaderLabel` Area for the label in a header.
`static QStyle.SubElement` | `SE_ItemViewItemDecoration` Area for a view item's decoration (icon).
`static QStyle.SubElement` | `SE_ItemViewItemFocusRect` Area for a view item's focus rect.
`static QStyle.SubElement` | `SE_ItemViewItemText` Area for a view item's text.
`static QStyle.SubElement` | `SE_LabelLayoutItem` Area that counts for the parent layout.
`static QStyle.SubElement` | `SE_LineEditContents` Area for a line edit's contents.
`static QStyle.SubElement` | `SE_ProgressBarContents` Area for the progress indicator.
`static QStyle.SubElement` | `SE_ProgressBarGroove` Area for the groove.
`static QStyle.SubElement` | `SE_ProgressBarLabel` Area for the text label.
`static QStyle.SubElement` | `SE_ProgressBarLayoutItem` Area that counts for the parent layout.
`static QStyle.SubElement` | `SE_PushButtonContents` Area containing the label (icon with text or pixmap).
`static QStyle.SubElement` | `SE_PushButtonFocusRect` Area for the focus rect (usually larger than the contents rect).
`static QStyle.SubElement` | `SE_PushButtonLayoutItem` Area that counts for the parent layout.
`static QStyle.SubElement` | `SE_Q3DockWindowHandleRect` Area for the tear-off handle.
`static QStyle.SubElement` | `SE_RadioButtonClickRect` Clickable area, defaults to `SE_RadioButtonFocusRect` .
`static QStyle.SubElement` | `SE_RadioButtonContents` Area for the label.
`static QStyle.SubElement` | `SE_RadioButtonFocusRect` Area for the focus indicator.
`static QStyle.SubElement` | `SE_RadioButtonIndicator` Area for the state indicator.
`static QStyle.SubElement` | `SE_RadioButtonLayoutItem` Area that counts for the parent layout.
`static QStyle.SubElement` | `SE_SliderFocusRect` Area for the focus indicator.
`static QStyle.SubElement` | `SE_SliderLayoutItem` Area that counts for the parent layout.
`static QStyle.SubElement` | `SE_SpinBoxLayoutItem` Area that counts for the parent layout.
`static QStyle.SubElement` | `SE_TabBarTearIndicator` Area for the tear indicator on a tab bar with scroll arrows.
`static QStyle.SubElement` | `SE_TabWidgetLayoutItem` Area that counts for the parent layout.
`static QStyle.SubElement` | `SE_TabWidgetLeftCorner` Area for the left corner widget in a tab widget.
`static QStyle.SubElement` | `SE_TabWidgetRightCorner` Area for the right corner widget in a tab widget.
`static QStyle.SubElement` | `SE_TabWidgetTabBar` Area for the tab bar widget in a tab widget.
`static QStyle.SubElement` | `SE_TabWidgetTabContents` Area for the contents of the tab widget.
`static QStyle.SubElement` | `SE_TabWidgetTabPane` Area for the pane of a tab widget.
`static QStyle.SubElement` | `SE_ToolBoxTabContents` Area for a toolbox tab's icon and label.
`static QStyle.SubElement` | `SE_ToolButtonLayoutItem` Area that counts for the parent layout.
`static QStyle.SubElement` | `SE_TreeViewDisclosureItem` Area for the actual disclosure item in a tree branch.
`static QStyle.SubElement` | `SE_ViewItemCheckIndicator`

Method Summary
`static QStyle.SubElement` | `resolve(int value)` Returns the SubElement constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.SubElement` | `valueOf(java.lang.String name)`
`static QStyle.SubElement[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SE_PushButtonContents

    public static final QStyle.SubElement SE_PushButtonContents

  Area containing the label (icon with text or pixmap).

### SE_PushButtonFocusRect

    public static final QStyle.SubElement SE_PushButtonFocusRect

  Area for the focus rect (usually larger than the contents rect).

### SE_CheckBoxIndicator

    public static final QStyle.SubElement SE_CheckBoxIndicator

  Area for the state indicator (e.g., check mark).

### SE_CheckBoxContents

    public static final QStyle.SubElement SE_CheckBoxContents

  Area for the label (text or pixmap).

### SE_CheckBoxFocusRect

    public static final QStyle.SubElement SE_CheckBoxFocusRect

  Area for the focus indicator.

### SE_CheckBoxClickRect

    public static final QStyle.SubElement SE_CheckBoxClickRect

  Clickable area, defaults to `SE_CheckBoxFocusRect` .

### SE_RadioButtonIndicator

    public static final QStyle.SubElement SE_RadioButtonIndicator

  Area for the state indicator.

### SE_RadioButtonContents

    public static final QStyle.SubElement SE_RadioButtonContents

  Area for the label.

### SE_RadioButtonFocusRect

    public static final QStyle.SubElement SE_RadioButtonFocusRect

  Area for the focus indicator.

### SE_RadioButtonClickRect

    public static final QStyle.SubElement SE_RadioButtonClickRect

  Clickable area, defaults to `SE_RadioButtonFocusRect` .

### SE_ComboBoxFocusRect

    public static final QStyle.SubElement SE_ComboBoxFocusRect

  Area for the focus indicator.

### SE_SliderFocusRect

    public static final QStyle.SubElement SE_SliderFocusRect

  Area for the focus indicator.

### SE_Q3DockWindowHandleRect

    public static final QStyle.SubElement SE_Q3DockWindowHandleRect

  Area for the tear-off handle.

### SE_ProgressBarGroove

    public static final QStyle.SubElement SE_ProgressBarGroove

  Area for the groove.

### SE_ProgressBarContents

    public static final QStyle.SubElement SE_ProgressBarContents

  Area for the progress indicator.

### SE_ProgressBarLabel

    public static final QStyle.SubElement SE_ProgressBarLabel

  Area for the text label.

### SE_DialogButtonAccept

    public static final QStyle.SubElement SE_DialogButtonAccept

### SE_DialogButtonReject

    public static final QStyle.SubElement SE_DialogButtonReject

### SE_DialogButtonApply

    public static final QStyle.SubElement SE_DialogButtonApply

### SE_DialogButtonHelp

    public static final QStyle.SubElement SE_DialogButtonHelp

### SE_DialogButtonAll

    public static final QStyle.SubElement SE_DialogButtonAll

### SE_DialogButtonAbort

    public static final QStyle.SubElement SE_DialogButtonAbort

### SE_DialogButtonIgnore

    public static final QStyle.SubElement SE_DialogButtonIgnore

### SE_DialogButtonRetry

    public static final QStyle.SubElement SE_DialogButtonRetry

### SE_DialogButtonCustom

    public static final QStyle.SubElement SE_DialogButtonCustom

### SE_ToolBoxTabContents

    public static final QStyle.SubElement SE_ToolBoxTabContents

  Area for a toolbox tab's icon and label.

### SE_HeaderLabel

    public static final QStyle.SubElement SE_HeaderLabel

  Area for the label in a header.

### SE_HeaderArrow

    public static final QStyle.SubElement SE_HeaderArrow

  Area for the sort indicator for a header.

### SE_TabWidgetTabBar

    public static final QStyle.SubElement SE_TabWidgetTabBar

  Area for the tab bar widget in a tab widget.

### SE_TabWidgetTabPane

    public static final QStyle.SubElement SE_TabWidgetTabPane

  Area for the pane of a tab widget.

### SE_TabWidgetTabContents

    public static final QStyle.SubElement SE_TabWidgetTabContents

  Area for the contents of the tab widget.

### SE_TabWidgetLeftCorner

    public static final QStyle.SubElement SE_TabWidgetLeftCorner

  Area for the left corner widget in a tab widget.

### SE_TabWidgetRightCorner

    public static final QStyle.SubElement SE_TabWidgetRightCorner

  Area for the right corner widget in a tab widget.

### SE_ViewItemCheckIndicator

    public static final QStyle.SubElement SE_ViewItemCheckIndicator

### SE_TabBarTearIndicator

    public static final QStyle.SubElement SE_TabBarTearIndicator

  Area for the tear indicator on a tab bar with scroll arrows.

### SE_TreeViewDisclosureItem

    public static final QStyle.SubElement SE_TreeViewDisclosureItem

  Area for the actual disclosure item in a tree branch.

### SE_LineEditContents

    public static final QStyle.SubElement SE_LineEditContents

  Area for a line edit's contents.

### SE_FrameContents

    public static final QStyle.SubElement SE_FrameContents

  Area for a frame's contents.

### SE_DockWidgetCloseButton

    public static final QStyle.SubElement SE_DockWidgetCloseButton

  The close button of a dock widget.

### SE_DockWidgetFloatButton

    public static final QStyle.SubElement SE_DockWidgetFloatButton

  The float button of a dock widget.

### SE_DockWidgetTitleBarText

    public static final QStyle.SubElement SE_DockWidgetTitleBarText

  The text bounds of the dock widgets title.

### SE_DockWidgetIcon

    public static final QStyle.SubElement SE_DockWidgetIcon

  The icon of a dock widget.

### SE_CheckBoxLayoutItem

    public static final QStyle.SubElement SE_CheckBoxLayoutItem

  Area that counts for the parent layout.

### SE_ComboBoxLayoutItem

    public static final QStyle.SubElement SE_ComboBoxLayoutItem

  Area that counts for the parent layout.

### SE_DateTimeEditLayoutItem

    public static final QStyle.SubElement SE_DateTimeEditLayoutItem

  Area that counts for the parent layout.

### SE_DialogButtonBoxLayoutItem

    public static final QStyle.SubElement SE_DialogButtonBoxLayoutItem

  Area that counts for the parent layout.

### SE_LabelLayoutItem

    public static final QStyle.SubElement SE_LabelLayoutItem

  Area that counts for the parent layout.

### SE_ProgressBarLayoutItem

    public static final QStyle.SubElement SE_ProgressBarLayoutItem

  Area that counts for the parent layout.

### SE_PushButtonLayoutItem

    public static final QStyle.SubElement SE_PushButtonLayoutItem

  Area that counts for the parent layout.

### SE_RadioButtonLayoutItem

    public static final QStyle.SubElement SE_RadioButtonLayoutItem

  Area that counts for the parent layout.

### SE_SliderLayoutItem

    public static final QStyle.SubElement SE_SliderLayoutItem

  Area that counts for the parent layout.

### SE_SpinBoxLayoutItem

    public static final QStyle.SubElement SE_SpinBoxLayoutItem

  Area that counts for the parent layout.

### SE_ToolButtonLayoutItem

    public static final QStyle.SubElement SE_ToolButtonLayoutItem

  Area that counts for the parent layout.

### SE_FrameLayoutItem

    public static final QStyle.SubElement SE_FrameLayoutItem

  Area that counts for the parent layout.

### SE_GroupBoxLayoutItem

    public static final QStyle.SubElement SE_GroupBoxLayoutItem

  Area that counts for the parent layout.

### SE_TabWidgetLayoutItem

    public static final QStyle.SubElement SE_TabWidgetLayoutItem

  Area that counts for the parent layout.

### SE_ItemViewItemDecoration

    public static final QStyle.SubElement SE_ItemViewItemDecoration

  Area for a view item's decoration (icon).

### SE_ItemViewItemText

    public static final QStyle.SubElement SE_ItemViewItemText

  Area for a view item's text.

### SE_ItemViewItemFocusRect

    public static final QStyle.SubElement SE_ItemViewItemFocusRect

  Area for a view item's focus rect.

### SE_CustomBase

    public static final QStyle.SubElement SE_CustomBase

  Base value for custom sub-elements. Custom values must be greater than this value.

### CustomEnum

    public static final QStyle.SubElement CustomEnum

Method Detail

### values

    public static QStyle.SubElement[] values()

### valueOf

    public static QStyle.SubElement valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyle.SubElement resolve(int value)

  Returns the SubElement constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD